/* Homepage Specific Styles */

.homepage-main {
    font-family: "PT Serif", serif;
    background-color: #09293b;
}

.homepage-hero {
    position: relative;
    min-height: 500px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #09293b;
    padding: 0px 20px;
}

.homepage-hero-container {
    max-width: 1400px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.homepage-hero-content {
    text-align: center;
    color: #fff;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 15px;
    flex: 1;
}

.hero-logo {
    max-width: 540px;
    width: 100%;
}

.hero-logo-link {
    display: block;
    text-decoration: none;
}


.hero-logo img {
    width: 100%;
    max-width: 100%;
    height: auto;
    display: block;
}

.hero-events {
    font-size: 60px;
    font-weight: 400;
    margin-bottom: 2rem;
    margin-top: 50px;
    font-family: "PT Serif", serif;
    color: #fff;
    line-height: 44px;
}

.homepage-hero-button {
    color: #09293b;
    letter-spacing: 2px;
    text-transform: uppercase;
    background-color: #acbdc5;
    margin-top: 2rem;
    padding: 12px 25px;
    font-size: 20px;
    line-height: 20px;
    transition: all .2s;
    font-family: "PT Serif", serif;
    text-decoration: none;
}

.homepage-hero-button:hover {
    color: #fff;
    background-color: #4e629e;
}

.events-section {
    padding: 64px 32px;
    max-width: 1140px;
    margin: 0 auto;
    color: #fff;
}

.events-section-title {
    font-size: 50px;
    line-height: 50px;
    margin-top: 2rem;
    margin-bottom: 2rem;
    text-align: center;
    font-weight: 700;
    font-family: Palatino Linotype, Book Antiqua, Palatino, serif;
    text-transform: uppercase;
    letter-spacing: 2px;
    color: #fff;
}

.events-list {
    display: flex;
    flex-direction: column;
    gap: 0;
}

.event-item {
    display: flex;
    align-items: center;
    gap: 60px;
    padding: 40px 0;
    border-bottom: 1px solid #fff;
    transition: opacity 0.3s ease;
}

.event-item a {
    text-decoration: none;
    color: inherit;
}

.event-date {
    min-width: 380px;
    color: #fff;
    font-size: 30px;
    line-height: 30px;
    font-family: "PT Serif", serif;
}

.event-content {
    flex: 1;
}

.event-title {
    font-size: 30px;
    font-weight: 700;
    margin-top: 0;
    margin-bottom: 0.5rem;
    color: #fff;
    font-family: Palatino Linotype, Book Antiqua, Palatino, serif;
    line-height: 30px;
}

.event-title a {
    color: inherit;
}

.event-location {
    font-size: 20px;
    line-height: 20px;
    font-family: "PT Serif", serif;
    margin: 0;
    margin-bottom: 10px
}

.no-events {
    text-align: center;
    margin-top: 20px;
    margin-bottom: 10px;
    font-size: 32px;
    line-height: 36px;
    font-weight: 700;
}

@media (max-width: 992px) {
    .events-section {
        max-width: 700px;
    }
    .event-title {
        font-size: 20px;
        line-height: 20px;
    }
    .event-location {
        font-size: 18px;
        line-height: 18px;
    }
    .event-date {
        font-size: 20px;
        line-height: 20px;
        min-width: 200px;
    }
}
/* Responsive Design */
@media (max-width: 768px) {
    .homepage-hero {
        min-height: 500px;
        padding: 0px 20px;
    }
    
    .hero-events {
        margin-top: 20px;
        margin-bottom: 20px;
    }
    
    .events-section {
        max-width: 460px;
        padding: 32px;
    }
    
    .events-section-title {
        font-size: 2rem;
        margin-bottom: 3rem;
    }
    
    .event-item {
        flex-direction: column;
        align-items: flex-start;
        text-align: left;
        gap: 20px;
        padding: 30px 0;
    }
    
    .event-date {
        min-width: auto;
        width: 100%;
    }
}

